org.apache.maven.scm.command.remove

## Class RemoveScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.remove.RemoveScmResult

All Implemented Interfaces:
  Serializable

    public class RemoveScmResult
    extends ScmResult

Author:
  Brett Porter, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`RemoveScmResult(List<ScmFile> removedFiles, ScmResult result)`
`RemoveScmResult(String commandLine, List<ScmFile> removedFiles)`
`RemoveScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getRemovedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoveScmResult

    public RemoveScmResult(String commandLine,
                           String providerMessage,
                           String commandOutput,
                           boolean success)

#### RemoveScmResult

    public RemoveScmResult(String commandLine,
                           List<ScmFile> removedFiles)

#### RemoveScmResult

    public RemoveScmResult(List<ScmFile> removedFiles,
                           ScmResult result)

### Method Detail

#### getRemovedFiles

    public List<ScmFile> getRemovedFiles()